# Generated from attr_encryption-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name attr_encryption

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Extends Object and ActiveRecord::Base objects to support encrypted attributes
License: MIT
URL: http://github.com/GitHubAdmin/attr_encryption
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(jeweler) >= 2.3
# BuildRequires: rubygem(jeweler) < 3
BuildArch: noarch

%description
Provides an extension for Ruby and rails object to support a flexible means of
encrypting attributes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/attr_encryption.gemspec
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.2.1-1
- Initial package
